#include<iostream>
using namespace std;
int trik(int x[], int n, int k)
{
	for (int i = 0; i < n; i++)
		if (x[i] == k)
			return x[i + 1];
}
int main()
{
	int n, k;
	cin >> n >> k;
	int x[20000];
	for (int i = 0; i < n; i++)
		cin >> x[i];
	if (k == x[n - 1])
		cout << x[0];
	else
		cout<<trik(x, n, k);
}